add_executable(sycl_comp sycl_comp.cpp)
add_sycl_to_target(TARGET sycl_comp)
target_link_libraries(sycl_comp PRIVATE ${LIB_XXHASH})

option(SYCL_EX_COMPILE_SEQUENTIAL_BENCH
  "Compile with single core cpu benchmark"
  OFF)

if (SYCL_EX_COMPILE_SEQUENTIAL_BENCH)
  target_compile_definitions(sycl_comp PRIVATE SEQ_BENCH)
endif()
